<?xml version="1.0" encoding="utf-8"?>
<!--
   Copyright (C) 2008,2009  OMRON SOFTWARE Co., Ltd.

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

   http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
  -->
<PreferenceScreen xmlns:android="http://schemas.android.com/apk/res/android"
				  android:key="nicownn_pref_ja">

  <PreferenceCategory android:title="@string/preference_nicownn_menu">
    <PreferenceScreen android:title="@string/preference_nicownn_menu">
      <ListPreference
		 android:key="input_mode"
		 android:title="@string/preference_input_mode"
		 android:summary="@string/preference_input_mode_summary_ja"
		 
		 android:entries="@array/inputmode_entries"
		 android:entryValues="@array/inputmode_values"
		 android:defaultValue="input_nico" />
      <CheckBoxPreference android:key="change_12key_qwerty"
						  android:title="@string/preference_nicownn_change_12key_qwerty"
						  android:summary="@string/preference_nicownn_change_12key_summary_ja"
						  android:defaultValue="false" />
      <CheckBoxPreference android:key="change_alphamode"
						  android:title="@string/preference_nicownn_change_alphamode"
						  android:summary="@string/preference_nicownn_change_alphamode_summary_ja"
						  android:defaultValue="false" />
      <CheckBoxPreference android:key="is_skip_space"
						  android:title="@string/preference_nicownn_is_skip_space"
						  android:summary="@string/preference_nicownn_is_skip_space_summary_ja"
						  android:defaultValue="true" />
      <!--
		 <CheckBoxPreference android:key="hidden_softkeyboard"
							 android:title="@string/preference_nicownn_hidden_softkeyboard"
							 android:summary="@string/preference_nicownn_hidden_softkeyboard_summary_ja"
							 android:defaultValue="false" />
		 -->
      <ListPreference
		 android:key="nicoflick_mode"
		 android:title="@string/preference_nicownn_is_flick"
		 android:summary="@string/preference_nicownn_is_flick_summary_ja"

		 android:entries="@array/flick_entries"
		 android:entryValues="@array/flick_values"
		 android:defaultValue="none_flick" />

      <ListPreference
		 android:key="flick_sensivity_mode"
		 android:title="@string/preference_flick_values"
		 android:summary="@string/preference_flick_values_summary_ja"

		 android:entries="@array/flick_sensitivities"
		 android:entryValues="@array/flick_sensitivity_values"
		 android:defaultValue="sensitivity_value_2" />

      <ListPreference
		 android:key="nico_candidate_mode"
		 android:title="@string/preference_nico_candidate"
		 android:summary="@string/preference_nico_candidate_summary_ja"
		 
		 android:entries="@array/nico_candidate_entries"
		 android:entryValues="@array/nico_candidate_values"
		 android:defaultValue="1_1" />

      <ListPreference
		 android:key="mainview_height_mode"
		 android:title="@string/preference_mainview_heights"
		 android:summary="@string/preference_mainview_values_summary_ja"

		 android:entries="@array/input_heights"
		 android:entryValues="@array/input_height_values"
		 android:defaultValue="mainview_value_0" />

      <ListPreference
		 android:key="candidateview_height_mode"
		 android:title="@string/preference_candidateview_heights"
		 android:summary="@string/preference_candidateview_values_summary_ja"

		 android:entries="@array/candidate_heights"
		 android:entryValues="@array/candidate_height_values"
		 android:defaultValue="candidateview_value_0" />


      <CheckBoxPreference android:key="nospace_candidate"
						  android:title="@string/preference_nicownn_is_nospace"
						  android:summary="@string/preference_nicownn_is_nospace_summary_ja"
						  android:defaultValue="false" />

      <CheckBoxPreference android:key="no_flip_screen"
						  android:title="@string/preference_nicownn_is_flipscreen"
						  android:summary="@string/preference_nicownn_is_flipscreen_summary_ja"
						  android:defaultValue="false" />
    </PreferenceScreen>
  </PreferenceCategory>

  <PreferenceCategory android:title="@string/preference_key_setting_menu">
    <CheckBoxPreference android:key="key_sound"
						android:title="@string/preference_key_sound_title"
						android:summary="@string/preference_key_sound_summary"/>
    <CheckBoxPreference android:key="key_vibration"
						android:title="@string/preference_key_vibration_title"
						android:summary="@string/preference_key_vibration_summary"/>
    <CheckBoxPreference android:key="popup_preview"
						android:title="@string/preference_preview_title"
						android:summary="@string/preference_preview_summary"
						android:defaultValue="true" />
    <CheckBoxPreference android:key="auto_caps"
						android:title="@string/preference_auto_caps_title"
						android:summary="@string/preference_auto_caps_summary"
						android:defaultValue="true" />
    <com.hiroshica.android.input.nicownn2.JAJP.KeyboardListPreferenceJAJP
       android:key="keyboard_skin"
	   android:title="@string/preference_keyboard_skin_title"
	   android:summary="@string/preference_keyboard_skin_summary"
	   android:entries="@array/keyboard_skin"
	   android:entryValues="@array/keyboard_skin_id"
	   android:defaultValue="keyboard_android_default" />
  </PreferenceCategory>
  
  <PreferenceCategory android:title="@string/preference_conversion_menu">
    <CheckBoxPreference android:key="opt_enable_learning"
						android:title="@string/preference_input_learning_title"
						android:summary="@string/preference_input_learning_summary"
						android:defaultValue="true" />
    <!--
       <CheckBoxPreference android:key="opt_prediction"
						   android:title="@string/preference_prediction_title"
						   android:summary="@string/preference_prediction_summary"
						   android:defaultValue="true" />
       <CheckBoxPreference android:key="opt_spell_correction"
						   android:title="@string/preference_correct_spell_title"
						   android:summary="@string/preference_correct_spell_summary"
						   android:defaultValue="true"
						   android:dependency="opt_prediction" />
       -->
    <ListPreference
	   android:key="opt_prediction_mode"
	   android:title="@string/preference_prediction_mode_title"
	   android:summary="@string/preference_prediction_mode_summary"
	   android:entries="@array/preference_prediction_entries"
	   android:entryValues="@array/preference_prediction_values"
	   android:defaultValue="on_prediction" />
    <CheckBoxPreference android:key="opt_spell_correction"
						android:title="@string/preference_correct_spell_title"
						android:summary="@string/preference_correct_spell_summary"
						android:defaultValue="true" />
  </PreferenceCategory>
  

  <PreferenceCategory android:title="@string/preference_dictionary_menu">
    <PreferenceScreen android:key="user_dictionary_edit_words"
					  android:title="@string/preference_dictionary_menu_ja"
					  android:summary="@string/preference_user_dictionary_edit_words_summary_ja"
					  android:persistent="false">
	  <intent android:action="android.intent.action.MAIN"
			  android:targetPackage="com.hiroshica.android.input.nicownn2"
			  android:targetClass="com.hiroshica.android.input.nicownn2.JAJP.UserDictionaryToolsListJAJP" />
    </PreferenceScreen>
    
    <PreferenceScreen android:key="user_dictionary_edit_words"
					  android:title="@string/preference_dictionary_menu_en"
					  android:summary="@string/preference_user_dictionary_edit_words_summary_en"
					  android:persistent="false">
	  <intent android:action="android.intent.action.MAIN"
			  android:targetPackage="com.hiroshica.android.input.nicownn2"
			  android:targetClass="com.hiroshica.android.input.nicownn2.EN.UserDictionaryToolsListEN" />
    </PreferenceScreen>

    <com.hiroshica.android.input.nicownn2.JAJP.ClearLearnDictionaryDialogPreferenceJAJP
	   android:key="clear_learn_dictionary"
	   android:title="@string/preference_user_dictionary_clear_learning_title"
	   android:summary="@string/preference_user_dictionary_clear_learning_summary"
       android:dialogMessage="@string/dialog_clear_learning_dictionary_message"
	   android:positiveButtonText="@string/dialog_button_ok"
	   android:negativeButtonText="@string/dialog_button_cancel"/>
	
  </PreferenceCategory>

  <PreferenceCategory android:title="@string/preference_aboutime_menu">
    <Preference android:key="nicownn_version" 
				style="?android:preferenceInformationStyle"
				android:title="@string/nicownn_japanese"
				android:summary="@string/nicownn_japanese_copyright" />
  </PreferenceCategory>

</PreferenceScreen>

